Subject: Re: [Tony Skjellum: re: static contexts writeup]

From: L J Clarke <[email-masked]>
Date: Wed, 10 Mar 93 12:00:52 GMT

Tony writes:

> **** PPS Lyndon, where are you.  I got up at 4am to read the next round
> ****     of mail from you, but none to be found :-)
> ****

[comments on interactions over next day omitted, :-)]

 **** In mail immemorial, Rik agreed to merge his (enclosed) write-up with

Hey, I got about uncountable copies of Rik's note saved away, now
another one :-)

> **** Lyndon, you indicated that
> **** one of my comments challenged you to make a new added entry
> **** to one of the proposal categories.  May I have that now/soon?

challenged?, invited!
Soon, Tony, soon. 

> **** Lyndon will be off-line, but
> **** Lyndon will still get some brain work to do off-line. :-) 

:-)

I can write up Proposal I, and Ib (Lyndon extension amendment) while
away. 

> **** Lyndon
> **** will you phone me periodically, to stay abreast of things?

Okay, but this will be after 8pm my time, as the calls will come out of
my pocket and appear on my parents 'phone bill, and its cheaper then,
and they'll have to be real short. 
***** Fine, I will phone you, if you provide time windows and phone number(s).
***** I will address costs.

> **** Our PRECIS/SKETCH and work from it will not address the following things
> **** (related to discussion in our group, but not central to it):
> ****	-	the fully portable MPI program
I vote we exclude from our discussion.

> ****	-	I/O
I vote we exclude from our discussion.

> ****	-	the semantics and syntax of process management
Perhaps something of this should be thought about.
Quick thoughts/suggestions:
 * Create new process group (blob of processes :-)
 * Resize existing process group (shrink/grow blob, synchronously in blob)

**** OK, I will think about the proposal X closure matrix placement of this.

> ****	-	the time-table for MPI-1,MPI-2,MPI-3,...
I vote we exclude from our discussion.

> **** In a truly global sense, these could be construed to be closure as
> **** well, but I want to exclude them for sanity reasons.  I do believe
> **** that parts of these issues could be addressed within MPI-1, but
> **** it is not now this subcommittee's role to do that for MPI at-large.
> **** Strong objections?  If so, we are in deep trouble:-)
No objections.

> ****
> **** We will assume that discussion in this 4-proposal X closure effort is
> **** all essential to MPI-1.  Anything you really don't think is essential
> **** for MPI-1... once we agree to same .... should probably get deferred.
> **** Is that controversial?
Not controversial.

> **** I thank everyone for their sincere efforts.
- ditto -

> **** PS Per constructive advice from Rik, all of my mail is getting copied to
> ****    mpi-context now.  All should do so.  I did not hear any dissent
> ****    about this suggestion, and it adds potential help to
> ****    discussion.  As we need the help, and few people are writing
> ****    anyway, this will not likely cause problems.
> ****    Continue to include the five names jim, lyndon, tony, sanjay &
> ****    Rik, incase any of us are not on the mpi-context mailing list!!!

Concur, being done.

> 
> 
> **** Rik writes...
> 
> >Before it gets TOO stale, here's a copy of my writeup on static
> >contexts et.al. as it last went to Lyndon and Tony.  (You two can
> >stop reading at the line of dashes.)  
> >
> >I have opted not to hack on static contexts any more because I
> >would rather kill them.  
> **** Is this a proposal to include static contexts as in within
> **** the 4-proposal model, and that we stop working on same?
> **** If so, I can make it so...

I'd like us to now ask Rik to write Proposal II.
**** Yes, Rik please do proposal II!!!

Best Wishes
Lyndon

----- End Included Message -----
**** Best wishes,
**** Tony

Summary of what went on above:

	We agreed that Lyndon would do I and Ib (his extension)
	We requested that Rik would do II (please agree/decline :-)
	I am still not sure if Rik did/plans to do a precis/sketch merger???
	By implication, I am left with III/IV, expecting to get help
		from Jim, Sanjay, et al on it.
	I have promised to do the proposal X closure precis/sketch update.

- Tony